summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-12 17:42:16 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:42:16 +0200
commit1fdf4742bcf16466b0202386b2d4ea38eadc8301 (patch)
tree3d4c1e6d71970427fdd1051bcc0bf2b827b38dc3 /libraries
parent1fcdb5ec04c64675e8fa06e80ec41d896cb970a1 (diff)
downloadslackbuilds-1fdf4742bcf16466b0202386b2d4ea38eadc8301.tar.gz
slackbuilds-1fdf4742bcf16466b0202386b2d4ea38eadc8301.tar.xz
libraries/wxGTK: Updated for version 2.8.9
Diffstat (limited to 'libraries')
-rw-r--r--libraries/wxGTK/README2
-rw-r--r--libraries/wxGTK/slack-desc4
-rw-r--r--libraries/wxGTK/wxGTK.SlackBuild48
3 files changed, 41 insertions, 13 deletions
diff --git a/libraries/wxGTK/README b/libraries/wxGTK/README
index 02fa322ea3..b5ec676d28 100644
--- a/libraries/wxGTK/README
+++ b/libraries/wxGTK/README
@@ -1,4 +1,4 @@
-wxGTK is part of wxWidgets, a cross-platform API for writing GUI
+wxGTK is part of wxWidgets, a cross-platform API for writing GUI
applications on multiple platforms that still utilize the native
platform's controls and utilities.
diff --git a/libraries/wxGTK/slack-desc b/libraries/wxGTK/slack-desc
index 392e38d434..59265a61a2 100644
--- a/libraries/wxGTK/slack-desc
+++ b/libraries/wxGTK/slack-desc
@@ -7,8 +7,8 @@
|-----handy-ruler------------------------------------------------------|
wxGTK: wxGTK (cross-platform GUI toolkit)
-wxGTK:
-wxGTK: wxGTK is part of wxWidgets, a cross-platform API for writing GUI
+wxGTK:
+wxGTK: wxGTK is part of wxWidgets, a cross-platform API for writing GUI
wxGTK: applications on multiple platforms that still utilize the native
wxGTK: platform's controls and utilities.
wxGTK:
diff --git a/libraries/wxGTK/wxGTK.SlackBuild b/libraries/wxGTK/wxGTK.SlackBuild
index 2c4e863640..0009957fb7 100644
--- a/libraries/wxGTK/wxGTK.SlackBuild
+++ b/libraries/wxGTK/wxGTK.SlackBuild
@@ -2,16 +2,34 @@
# Slackware build script for wxGTK
-# Written by Chess Griffin <chess at chessgriffin dot com>
-# with lots of key help from Eric Hameleers and the SBo
-# admins. Thanks for all the help!
+# Copyright 2006-2009 Chess Griffin <chess@chessgriffin.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Lots of key help from Eric Hameleers and the SBo admins.
# Modified by the SlackBuilds.org project
PRGNAM=wxGTK
VERSION=2.8.9
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -25,10 +43,13 @@ UNICODE=${UNICODE:-YES}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
rm -rf $PKG
@@ -37,9 +58,12 @@ cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$VERSION || exit 1
-
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
# Set unicode flag as desired by UNICODE variable
if [ "$UNICODE" = "YES" ]; then
@@ -52,8 +76,10 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--enable-shared \
+ --with-opengl \
--${_do_unicode}able-unicode \
|| exit 1
@@ -61,17 +87,19 @@ make || exit 1
make install DESTDIR=$PKG || exit 1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
# Now let's fix the broken symlink created by the package
cd $PKG/usr/bin
rm wx-config
if [ "$UNICODE" = "YES" ]; then
- ln -s /usr/lib/wx/config/gtk2-unicode-release-2.8 wx-config
+ ln -s /usr/lib${LIBDIRSUFFIX}/wx/config/gtk2-unicode-release-2.8 wx-config
elif [ "$UNICODE" = "NO" ]; then
- ln -s /usr/lib/wx/config/gtk2-ansi-release-2.8 wx-config
+ ln -s /usr/lib${LIBDIRSUFFIX}/wx/config/gtk2-ansi-release-2.8 wx-config
fi
cd -